Skip Menu |
 

This queue is for tickets about the Module-Build CPAN distribution.

Report information
The Basics
Id: 5288
Status: resolved
Priority: 0/
Queue: Module-Build

People
Owner: Nobody in particular
Requestors: martin.titz [...] pinasoft.com
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 0.22
Fixed in: (no value)



Subject: Module-Build-0.23 problem in Module/Build/Compat.pm
Download (untitled) / with headers
text/plain 589b
Module-Build-0.23 On a Slackware Linux system with perl v5.6.1, I had a problem with Module-Build-0.23 while installing Log-Dispatch-2.09 $ cd Log-Dispatch-2.09 $ perl Makefile.PL perl Build.PL Checking whether your kit is complete... Looks good Creating new 'Build' script for 'Log-Dispatch' version '2.09' Can't call method "find_perl_interpreter" on an undefined value at /usr/lib/perl5/site_perl/Module/Build/Compat.pm line 150. Going back to version 0.22 helped. BTW: in the ReportBug form I could not select version 0.23, last version displayed was 0.22 Regards, Martin Titz
From: jeremy-talk [...] somebox.com
Download (untitled) / with headers
text/plain 909b
I Got the same error trying to install Text::WikiFormat on a fresh gentoo box. Many other CPAN modules installed fine, but I had to drop Module::Build down to 0.21 to make it work: Show quoted text
cpan> install K/KW/KWILLIAMS/Module-Build-0.21.tar.gz
[guest - Wed Feb 11 10:40:38 2004]: Show quoted text
> Module-Build-0.23 > > On a Slackware Linux system with perl v5.6.1, > I had a problem with Module-Build-0.23 while > installing Log-Dispatch-2.09 > > $ cd Log-Dispatch-2.09 > $ perl Makefile.PL > perl Build.PL > Checking whether your kit is complete... > Looks good > Creating new 'Build' script for 'Log-Dispatch' version '2.09' > Can't call method "find_perl_interpreter" on an undefined value at > /usr/lib/perl5/site_perl/Module/Build/Compat.pm line 150. > > Going back to version 0.22 helped. > > > BTW: in the ReportBug form I could not select version 0.23, > last version displayed was 0.22 > > Regards, Martin Titz
Date: Tue, 17 Feb 2004 10:57:59 -0600
Subject: Re: [cpan #5288] Module-Build-0.23 problem in Module/Build/Compat.pm
From: Ken Williams <ken [...] mathforum.org>
To: bug-Module-Build [...] rt.cpan.org
RT-Send-Cc:
Download (untitled) / with headers
text/plain 374b
Aha - I was really confused about this problem, but now I understand. The problem was that the Makefile.PL in modules like Log::Dispatch 2.09 was created with an older version of Module::Build, and didn't include the 'build_class' parameter. I'll add a future-proofing patch to Module/Build/Compat.pm so that it can work with older Makefile.PLs it generated. -Ken


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.